Loading...
Searching...
No Matches
OracleSqlUtilBase::OracleSavepointHelper Class Reference

Oracle savepoint helper. More...

## Public Member Functions

| constructor (AbstractDatasource ds, *string savepoint='x'+get_random_string(29))
| Creates the object.

## Protected Member Functions

| createSavepointImpl ()
| Creates the savepoint.
| deleteSavepointImpl ()
| Deletes the savepoint.
| rollbackImpl ()
| Rolls back to the savepoint.

## Detailed Description

Oracle savepoint helper.

## Member Function Documentation

## constructor()

OracleSqlUtilBase::OracleSavepointHelper::constructor | ( | AbstractDatasource | ds,
|  | *string | savepoint = 'x'+get_random_string(29) )

Creates the object.

Note
  Oracle identifiers cannot be longer than 30 character by default; the default savepoint value uses the unique hash for the object, which is 40 characters long, so we have to use another algorithm to create the savepoint string on Oracle